import static org.junit.Assert.*;

import java.util.Arrays;

import org.junit.Test;


public class TwosTest extends CategoryTest {

	@Test
	public void testTwoScoresNonZero() {
		Category twos = new Twos();
		int points = twos.getPoints(new Dice( Arrays.asList(1,2,2,2,2)));
		assertTrue(points > 0);
	}
	
	@Test
	public void testTwoScores() {
		Category twos = new Twos();
		int points = twos.getPoints(new Dice( Arrays.asList(1,2,2,2,2)));
		assertTrue(points == 8);
	}
}
